
# AbanteCart v1.4.3 — Release Notes

> Broad Windows compatibility and a major move to Form Manager, enabling merchants to edit forms, add new fields, group fields, customize field icons, apply restrictions, and control validation messages. Customer registration, customer details, address, and guest checkout forms now load from the database (AForm).

---

## 🚨 Security

* **XSS hardening** in the PageBuilder storefront preview page.
* Safer email validation and form regex handling in AForm/AHtml.
* Added `passwordHash()` to standardize hashing in PHP code.
* Storefront access — new setting **“Allow returning customers to browse.”** When enabled, unauthenticated returning visitors can browse products, add items to the cart, and use the wishlist without signing in.

---

## 🌟 Highlights

* **Form Manager everywhere (merchant-editable).** Most customer, account, and checkout forms now come from the database and are managed via the AbanteCart Form Manager—edit/add fields, group them, customize field icons/tooltips, set restrictions, and tailor validation/error messages.
* **Windows compatibility.** Large refactor and many targeted fixes across the core, controllers, extensions, and the installer.
* **Large cart performance update.** Faster cart updates and improved robustness for very large carts.
* **Payment restrictions by customer group.** You can now restrict which payment methods are available per customer group—applies to all payment extensions. Sponsored by Mikko.
* **Tax.** AvaTax SDK updated with full PHP 8 support; shipping taxation behavior fixed.
* **Option value: `require_shipping`.** (Sponsored by Mikko.) New `require_shipping` toggle on product option values so options can explicitly force shipping when selected.
* **Libraries upgraded:** Font Awesome **7.0.0**; Bootstrap **5.3.7**.
* **Internationalization:** Languages moved to a dedicated repo: `abantecart/abantecart-languages`. The admin can load 20+ languages directly from that Git repository.
* **UPS** extension updated to the latest PHP SDK; adds **shipment & label creation**.
* **PayPal Commerce:** New **card fields** UI with **billing address for AVS**, clearer validation/errors, webhook update fixes, and totals alignment.
* **Installer/Upgrader:** Download credentials on finish; CLI pre-install of extensions; sample data improvements.
* **Database changes:** Default MySQL character set/collation switched to `utf8mb4` for full-Unicode support.

---

## Core

* 3rd-party packages updated.
* **Windows-related** fixes across core/admin/controllers/extensions and the package manager.
* **SQL fix** for `order_data_types` and translations.
* **Address format per country:** Checkout and invoices now respect each country’s address layout (name order, region/postcode placement, etc.) for properly localized addresses.
* **Deprecated:** “phone regex pattern” setting removed (use the `customerFrm` telephone pattern).

* **AForm/AHtml**
  * Resource element preselection fix.
  * Added icon HTML for form fields; `form/*tpl + AHtml`.
  * Date template improvements; helper/utils improvements.

* **Routing:** Redirect added when a route is not found.

* **Security/Infrastructure**
  * Added `passwordHash()` utility; ACache fix.
  * Apache 2.4+ compatibility fix.
  * DB driver timezone fix.

* **Cart**
  * `ACart` update method usage fix for very large carts (≈100 products).

* **Controller & Index**
  * `AController`: type-casting for the `page` parameter.
  * Static index page fix.

---

## Control Panel (Admin)

* **Act-on-behalf** controller reformatted; now works in multi-store setups.
* Sidebar/quick stats **collapse** behavior and CSS tweaks.
* Language loader placed under the language grid.
* **Import:** product-to-store relation fix; log message fix; typed parameters refactor.
* **Global attributes:** multiple fixes; option value weight cannot be negative.
* **Product promotion/cloning** fixes.
* **SQL restore** & **backup history** fixes; ABackup improvement to avoid unexpected dumps.

* **Protections and validations:**
  * Prevent deleting the English language.
  * Validate deadlocks in the category tree (`catId` ↔ `parentId`).
  * Product model validation when removing option values tied to global attributes with unique text IDs.

* **UI/UX:**
  * Source layout selector for cloning updated.
  * Page Builder: create-page modal parity with Design/Layout.

* **Language management:** Ability to load languages from the Git repo; definitions translation fix.

* **Misc:** quickstart changes; import model fix; catalog/product model improvement; product options minor changes; language definitions fix; other import fixes.

---

## Storefront

* CSS & mobile polish: registration page; phone screens; footer link fixes; embedded CSS for the default template.
* Country/zone form element fixes.
* **SEO/search:** minor `seo_url` controller fix; **search URL** fix.
* **Checkout file download URL** fix.

* **Checkout**
  * FastCheckout: payment method reset after page reload fixed; address selection/format fixes.
  * Zone pre-selection & validation.
  * JSON encoding fix.
  * Added an extended field to addresses and to the order details page; order data saving fix.

* **Contact/Forms:** Contact Us page improvements; field title/label fixes; hidden/dynamic fields fix.

* **Customer account**
  * Details form now supports **field groups**.
  * Address form/book templating fixes; form now DB-backed via AForm.
  * Visible submit button on account/create.
  * Added `autocomplete` attributes for registration & password fields.

* **Orders/Emails**
  * Order model/data format fixes.
  * Confirmation email now includes **`thumbnail_url`** for products.
  * Invoice order product list includes the **`thumbnail`** array key.

* **Product/Category**
  * Product controller: option set now includes settings data.
  * Category filter block fix.

---

## Extensions

* **PayPal Commerce**
  * Added **credit card form** support to check out without a PayPal account.
  * Added **billing address** for Card Fields (AVS filtering).
  * Clearer validation/messages; preloader fix; webhook update fixes; currency conversion totals mismatch fixes.

* **UPS**
  * Migrated to the new PHP SDK; fixes and **shipment & label creation** when order status is **Shipped**.

* **Forms Manager**
  * Country/zone links; checkbox/empty-value fixes; sorting, grouping, titles, text, and redirect fixes; locked forms/fields cannot be removed; split into tabs; admin UX improvements; new group selector; VAT_ID SQL changes.

* **PageBuilder:** Custom `ListingBlock` template.
* **Pickup from Store:** address fixes.
* **Cardknox → Sola** gateway rename.
* **AvaTax** now uses the store address as the origin.

---

## Install / Upgrade

* **New:** Option to **download a credentials file** on the final installer step.
* **CLI installer:** pre-install extensions via a comma-separated list.
* **Session `save_path`** check.
* Added sample data: **pre-saved cart** with many products (Elmer West).
* `http` → `https` link updates; `target="_new"` → `"_blank"`.
* Upgrade scripts for Forms Manager & related schema updates.

---

## Developer Notes

* New/updated hooks: `product_before_tabs`; added hooks in `order_details.tpl`.
* **Deprecated setting:** phone number regex pattern (use the `customerFrm` telephone pattern).
* DB-driven forms for customer/guest flows—check customizations against **AForm** changes.
* `AController` `page` parameter now **type-cast**.
* Import APIs refactored to **typed parameters**.
* Added `AHtml` property `zone_only` for `zones` element; `AForm::getFormElements()` to enumerate form elements.
* New Git language workflow: fetch/update language packs from `abantecart/abantecart-languages`.

---

Special Thanks
---------------
Community contributions, including `require_shipping` on option values and payment method restrictions per customer group — thank you!



AbanteCart version 1.4.2

New Features
-------------
- Checkout Address Management: Added "Add Address" button for registered customers without saved addresses.
- Caps Lock Detection and Password Visibility: Added Caps Lock warning support and a password visibility toggle for password fields in storefront and Novator templates.
- Supplier Management: Introduced core support for managing product suppliers, enabling better inventory sourcing and dropshipping workflows.
- Multi-Store Embed Improvements: Embed buttons for products, categories, brands, and collections now fully support multi-store setups.
- Checkout Improvements: Enhanced checkout flow with better shipping method auto-selection.
- Product Options HTML Attributes: New HTML attributes field to add custom data attributes for options in the storefront.

Major Improvements
--------------------
- PHP 8.4 Compatibility: Full support and compatibility updates for PHP 8.4.
- MySQL Database:
  - Switched default storage engine to InnoDB.
  - Default collation updated to utf8mb4 for better Unicode support.
- Session Handling: Optimized session serialization and performance.
- Email System:
  - Improved debug support for email sending failures.
  - Added validation during mail settings save.
- AForm Library: Enhancements for better form handling and improved contact us controller.
- Language System: New getAndReplace() safe method for sprintf-style translations.
- Backup System: Backup improvements related to DB port configuration and InnoDB transition.

Bug Fixes
----------

Admin Panel:
- Fixed deprecated function calls.
- Quick Save for Product Edit now correctly handles store selections.
- Improved Product Image Import: Enhanced handling of product images without file extensions or with URL parameters. Added connection timeout to better manage cases when remote image servers do not respond.
- Single Chosen-Select CSS and JS fixes across admin.
- Vertical align fixes for buttons and headings.
- Fixed capitalization and sorting in menu items and grids.
- Corrected layout and behavior of the history modal when opened from within grid modals.

Storefront:
- Corrected logo display in order confirmation emails.
- Shipping total now correctly skips undefined shipping costs.
- Fixed wishlist layout to use standard responsive product card list.
- Login and subscriber form page CSS fixes for mobile devices.
- Cart page and checkout success page layout fixes.
- Corrected media thumbnail display in data blocks.
- Added additional hookvars to improve Google Analytics tracking integration in the storefront.

Novator Template:
- CSS fixes for login page, recently viewed products, mega menu, and category slides.

Extensions:
- Paypal Commerce improvements:
  - Supported currency list added.
  - Bug fixes for order status and shipping method selection.
- Default Store Pickup shipping extension improvements to fix overwriting of customer shipping address.

Other Enhancements
-------------------
- Performance and Code Optimization:
  - Dispatcher logging enhancements.
  - ADB and AView improvements (new methods for DB table prefix and name).
- Security:
  - Added browser cache clearing headers after upgrade or install processes.
- Developer Improvements:
  - Core improvements in ALayout, AView, AForm, AMail, and ALanguage classes.
  - Better handling of missing or uninstalled extensions in the admin extensions grid.
  - CLI Installer updates, including demo data fixes.

Upgrade Notes
--------------
- After upgrade, it is recommended to clear browser cache to avoid issues due to updated scripts and styles.
- Database changes are included (InnoDB and utf8mb4). Backup your database before upgrading.

Special Thanks
---------------
Thanks to the community members who reported issues and contributed to improvements.



AbanteCart version 1.4.1

We’re thrilled to introduce AbanteCart v1.4.1 – packed with exciting new features, enhancements, and important fixes to make your experience even better!

Highlights of this Release:
- New Content Page Management System
- Intuitive page builder
- Content version vault, allowing to track text changes and revert to previous versions effortlessly.
- Enhanced Import Wizard: Now supports JSON data column mapping with advanced features like splitting, concatenating, and merging data columns for seamless data integration.
- Stripe Payment Upgrade: Added support for TWINT, a popular payment method in Switzerland, enhancing payment flexibility.
And that’s not all – this release includes numerous other improvements and bug fixes to ensure better performance and reliability.

Admin Features;
- New Data listing block: with content pages support
- Improved customer grid with links to default address forms.
- Updated Import Wizard to support JSON mapping for multiple fields and concatenated columns.
- Integrated a history modal for enhanced admin actions with text updates.
- Improved header settings for streamlined management of messages and logos.
- Improvement to layout manager with deafult page layouts for better control of layout blocks.
- Added a new date picker for admin forms.
- SQL Injection vulnerability fixes for email templates (CVE-2024-50802, CVE-2024-50801).

Storefront Enhancements:
- Improved SEO URL processing and canonical URLs.
- Enhanced pagination for smoother navigation.
- Standardized content sorting and listing across multi-store setups.
- Various CSS and template updates for Novator and default templates.
- New content template blocks
- Fixes for Novator Megamenu and category tree display.

Content Management Improvements:
- Enhanced tools for managing content descriptions, history, and previews.
- Added default configurations for page layouts and template designs.
- Resolved pagination and sorting issues in content listings.

Extensions Updates:
- Stripe extension enhancements and support for TWINT payment method.
- Added webhook support for payment_intent.succeeded events.
- Fixed compatibility issues and updated the SDK.
- RoyalMail extension upgrade and improvements for smoother operation.
- PageBuilder and include of new default presets for Novator and default templates.

Security Updates:
- Customer and Admin users Authentification improvement
- Resolved XSS vulnerabilities.
- Strengthened session management for updated customer passwords.
- Improved SQL injection prevention across admin functionalities.

Performance and Compatibility:
- Optimized for PHP 8.2.
- Admin and storefront performance enhancements through code refinements.

Bug Fixes

- Fixed checkout functionality, including payment and shipping workflows.
- Addressed CSS bugs for improved cross-browser compatibility.
- Resolved errors in product grid filtration and category management.
- Fixed minor bugs across admin forms and grids.

Developer Enhancements

- Added the ability to include hooks in template files.
- Improved logging capabilities for enhanced debugging.
- Updated support for custom templates in form elements.

How to Update

To update to v1.4.1, follow the instructions provided in the AbanteCart Documentation (https://docs.abantecart.com).
Ensure your server meets the minimum requirement of PHP 8.2 before proceeding.



AbanteCart version 1.4.0

Key Highlights:

1. Introducing the Novator Template:
    - Sleek, modern design
    - Features a mega menu, filtered navigation, and more
    - Built on the latest Bootstrap 5 and cutting-edge JavaScript libraries
    - Includes support for dark mode
2. Payment Gateway and Merchant Services Updates:
    - Essential updates to ensure seamless transactions and compatibility
3. Code Restructuring and Optimization:
    - Optimization for PHP v8.3
    - Significant enhancements for better performance and maintainability

Core:
- Updates to support for php8.3
- Global attributes text ID for values
- Support for AVIF images
- aResource minor improvement
- Multiple order status support in downloads
- URL encoded default form enctype.
- Support configuration for phone regex pattern.
- cache related fix to product/category/collection/manufacturers
- changed default value of "block framed"
- added silent mode for sending emails
- removed fax field
- Bug fixes

Admin:
- Ability to create new page Layout
- Out-of-stock minimum threshold notification
- Updated jQuery version 3.71
- Improvement of the settings page for extensions
- Template related settings moved to appearance settings.
- jqGrid history cookie fix


Storefront:
- Bootstrap 5 base template is now set as the default
- Improvement to fast checkout
- Multi-page checkout is now deprecated and fast checkout is a default
- Product listing filtering
- Improvements to category tree.
- Recently viewed products block
- Update reCapture on create account page
- embed features update
- contact us page fix for attachments
- Manage custom categories in the menu
- New theme/template Novator.

Extensions:
- Paypal upgrade to latest requirements.
- Update to UPS with new auth.
- Stripe SDK update.
- Authorize.net SDK update
- Update CardConnect endpoints
- CardKnox fix
- Fedex multi-currency fix.



AbanteCart version 1.3.4

Release Highlights:

In this release, we are excited to introduce several significant improvements and upgrades to enhance your user experience.

1. Bootstrap v5 Storefront Template:
We have set the Bootstrap v5 storefront template as the new default, providing you with a modern and streamlined interface. This update brings a fresh look and improved responsiveness to your storefront.

2. Updated Embed Pages with Bootstrap v5:
Not only is the storefront template upgraded, but we have also updated all embed pages with Bootstrap v5. This ensures consistency across the entire platform and guarantees a seamless user experience.

3. Google Analytics Upgrade to GA4:
To stay at the forefront of analytics capabilities, we have upgraded Google Analytics to the latest GA4 version. With this upgrade, you gain access to new features and better insights into your website's performance and user behavior.

4. New Stripe Payment Integration:
We are thrilled to introduce a new and improved Stripe payment integration. This update expands the range of payment options available, making it easier for your customers to complete their transactions securely and conveniently.

5. USPS Update with New Shipment Methods:
We have updated USPS shipping methods to offer you more flexibility and efficiency in managing your shipments. This means a smoother shipping process and improved delivery options for your customers.

6. Other Improvements:
Additionally, we've implemented several other enhancements to optimize the platform's performance and fix minor issues. These improvements are aimed at providing you with a better overall experience.

We hope these updates contribute to making your experience with our platform even more enjoyable. As always, we value your feedback, so please don't hesitate to share your thoughts and suggestions with us.

Core:
- Set min Support for php8.0
- Order product options sorting fix
- jquery upgraded to v3.7.0
- Added new hooks to support extension API.
- fix for apdomysql driver
- Add Logout after password change for customers and admin users
- ACurrency lib bug fix
- Bug fixes

Admin:
- tinyMCE upgraded to v6.5.0
- Improvement of settings page for extensions

Storefront:
- Google Analytics 4 Support
- Bootstrap v5 template set as default
- Embed update with Bootstrap v 5
- Fast checkout improvement and fixes.
- Update email templates

Extensions:
- Updated Stripe with many payment methods included
- USPS updated with new methods
- Paypal Commerce. added "sleep" to webhook setup method.
- Cardnox Fast checkout fix


AbanteCart version 1.3.3

In this release, we introduce a new Bootstrap 5 storefront template with page builder support.
New PayPal commerce payment integration is to combine and replace older PayPal payment options with Buy Now Pay Later support
New mailer with a wide range of mail transports supports (Amazon SES, MailChimp, SendGrid and more)

Core:
- Support php8.1 into amysqli DB driver
- added Redis cache driver
- Memcached driver improvement
- Aconnect class improvements
- improvement of aMySQLi database driver
- Mail class fix
- Added percentage quantity discount for product's promotions (#1536)
- Extension installation improvement
- SMPT improvement & php mailer fix
- Image cache per domain fix
- Cli install supports 8.1 + improvement related to sample data sql-file
- sample data cleanup, demo products data fixes and countries update 
- Regular expressions save fix
- new Data listing block type Related Products 
- dockerfile update

Admin:
- Data listing block: limit translatable #1518
- php 8.0: Call to undefined function set_time_limit #1521
- added store into customer edit form #1522
- order recalculation fix #1529
- Removed gravatar from admin template
- multi-store product url fix
- regex for product tags fix
- new hook to category grid controller
- hook to Product Options admin controller
- product page default length and weight class bug fix


Storefront:
- New Bootstrap 5 template
- changes of default preset of default template for PageBuilder
- fix of easyzoom.js in chrome #1526
- default template fixes.
- product page bugfix related to default weight class for new products #1519
- fix of broken embedding of the invoice page
- Fix of sale/contact button on the customer address edit form
- XSS fix #1513

Extensions:
- PayPal Commerce payment to replace Default Paypal
- Avatax integration fix
- FastCheckout. duplicate error message fix
- FastCheckout. New setting for button "BuyNow"
- FastCheckout. Added payment address zone.
- Fast checkout Universal GA fix
- Discontinued default_cashflows payment support
- Stripe js-loading fix
- Banktransfer improvement related to FastCheckout


AbanteCart version 1.3.2

In this release:

Core:
- PHP v8.0 Compatibility
- Page builder supportability
- Magic methods support in the hook classes
- core/engine/extension.php improvement (see commit for details)
- DOM Based Cross-Site Scripting fix
- added restrictions for available shipping methods during checkoout
- Maximum Weight of Parcel #1497
- Added dimensions and weight into order products
- default Resource library Types icons + Retina fix
- changes related to page builder + fix of extensions hook calls
- phar internal corruption resolution #1504
- SVG File type suppoer a& validation
- Options value weight class follow the products base weight class
- Query optimization for MariaDB
- Email base64 encoding
- Multistore subdomain fixes
- Multistore template selection fixes

Admin:
- added validation for svg/svgz files on script calls inside.
- Product form volume validation #1496
- improvement of Tabs on product and category edit pages
- tables size calculation fix
- weight description fix in the option values table
- extensions grid & extension summary section
- New resource library type icons
- Product options SKU display
- Backup fix and improvement
- Embed bug fixes
- global search bug fix
- Taxes report fix

Storefront:
- Login Display Prices OFF block issue #1493
- Shipping limits by weight volume #1495
- Minimal order parcel size volume not work #1499
- "Wrong Dimensions of product" error #1498
- jquery.flexyslider upgraded to v2.7.2
- custom.js improvement
- Fastcheckout improvement and fixes
- Coupon session fix
- Brands block improvement

Extensions:
- Number of new hooks for expandability
- CardKnox payment instance id issue resolution


AbanteCart version 1.3.1

In this release:

- Core: taskManager. fix of error output
- Core: ALoader improvement. Added debug backtrace
- Core: added Date product option type ACORN-108
- minimal php version now 7.3.0
- Core: ACart minor improvements
- Core: core/lib/config.php fixes related to seo-postfix and config store id type cast
- Core+ SF: changes related to virtual products purchasing (gift certificates etc)
- Core: changes related to virtual products purchasing (gift certificates etc)
- Core: changes related to AResource::getMainThumbList() method.
- Core: add hook to category_top, category_bottom block and manufacturer page
- Core: changes related to virtual products purchasing (gift certificates etc)
- Core+ SF: changes related to virtual products purchasing (gift certificates etc)
- Core: html-class improvement (number, email input types)
- Core: AResource minor improvement
- Core: core/engine/extensions reformatting
- Core: ALayout improvement related to hooks
- Core: AResource bug fix

Admin: 
- Admin: ACORN-563 embed in multistore fix
- Admin: general.js fix related to tasks ACORN-554
- Admin: collection controller fix
- Admin: global search improvement, added search by sku ACORN-549
- Admin: collection controller fix
- Admin: email templates controller and model code improvements
- Admin: fix related to cdn-image-downloads from import csv-file
- Admin: added hook calls into customer controller
- Admin: order details minor improvement of tpl
- Admin: added check for extensions layouts xml into template installation and template switch processes
- Admin: fix for storefront_order_confirm email template
- Admin: collection model fix
- Admin: lib configManager fix
- Admin: order totals grid improvement (related to predefined sort and calculation orders for balance and total)
- Admin: collection form js-fix
- Admin: language manager fix related to auto-translations
- Admin: package manager fix. Added "tax" extension type + reformatting
- Admin: package manager fix. Added "tax" extension type + reformatting
- Admin: sale/contact email RL-image's URL fix
- Admin: product option value url fix
- Admin: controller for downloading file improvement

Storefront: 
- improvement related to option value images
- ACORN-561 guest and logged in customer sessions fix
- fast checkout payment fix ACORN-560
- Request add cost column method (#1485)
- ACORN-559 fast checkout order summary tax display fix
- ACORN-552 taxes report: incorrect orders count
- Guest Checkout Create Account feature fix ACORN-557
- ACORN-558 base product weight field description
- upgrade scripts fixes
- Add product option cost (#1484)
- ACORN-553 banner group name issue fix
- ACORN-551 "add to cart" buttons on home page blocks
- #1472 typo fix
- fix ACORN-548 embed: options values images
- fix ACORN-267 Pickup from Store use the store address for taxes
- #1464 wordpress embed fast checkout buttons fix
- #1483 embed fix
- embed code default height fix
- ACORN-550  Typed property ControllerPagesCatalogCollections::$error fix
- #1472 fileinfo PHP extension check to the 1.3 installation and upgrade
- #1464 mobile add to cart buttons fix
- fix ACORN-255 Import wizard category split separator
- ACORN-547 FastCheckout fix
- #1482 WordPress 5.8 SameSite cookie issue
- #1473 default_ups. reformatted code
- #1472 system requirements refactoring
- #1472 minimal version of php now 7.4
- #1457 extra white space in front of the email headers
- add hooks to admin order details and order invoice (#1480)
- Storefront: order details minor improvement of tpls
- Collection model fix
- Account/logout controller improvement
- Catalog/collection model fix
- Rounding fix related to taxes and 3 digits after decimal points. ref. https://forum.abantecart.com/index.php?topic=9072.new;topicseen#new
- add the label id and the additional hook (#1474)
- add hook, change hook location and change private $error to public $error (#1469)
- FastCheckout shipping method icon fix
- add hooks to templates and admin product options page (#1467)
- FastCheckout: added hook vars call into tpls

Extensions: 
- avatax improvement related to getting taxLines
- FastCheckout stripe address line fix ACORN-318
- Default Stripe minor fix ACORN-318
- Avatax fix
- authorizenet error in php v8 (#1479)
- FastCheckout. changed default sort order (run order) from 1 to 10
- FastCheckout installation improvement (adding layouts to custom templates)
- Avatax fix



AbanteCart version 1.3.0

In this release, we bring a few new features

Core:
- Wodrpress integration support
- PHP v8.0 support
- jQuery upgrade to v3.5.1
- Resource Library images path improvement
- New Get Embed code modal. Embed links code and copy
- Added error reporting levels support based on settings
- SSL detection improvement
- Same site cookies fix
- tinyMCE editor update
- AMail class remove of final, and change private to protected properties
- Deprecated HTML Page cache
- Overall cache fixes and improvement

Control Panel:
- Dashboard new icons
- Default extensions new icons
- Category selector multi-store display
- Product and categories grid new bulk action
- Grid filters improvements
- Email preview page
- show map for order address. Google Maps API
- order recalculation fix related to adding total in not default currency
- ontroller/pages/extension. added hook call
- model language fix related to mysql8
- Crontab help with ready to run Linux command
- Resource library drag-n-drop fix

Storefront:
- Multilingual store logo support
- Same domain multi-store support
- Improved phone validation and Regex Pattern setting
- Allow coupons to be assigned per category
- Reformat of account/edit controller
- Search in product descriptions now includes blurb field
- Controller account subscriber fix related to hook calls
- performance improvement of onlineNow model
- responses/product/product added backward compatibility


Core Extensions:
- Aditional extension hooks for AOrder and ACartclases and improve extensions API
- Allow extending of ADownload class
- Cardknox new payment extension
- PayPal standard store logo fixes
- 2Checkout sandbox deprecated
- PayPal Express totals details
- Local delivery Tax class selection
- Update default local delivery to work with asterisk/wildcard
- Fast Checkout summary tax fixes
- Fast checkout downloads email fix
- Fast checkout require phone number for registered customer
- Fast checkout form validations improvements
- cardconnect currency admin display fix
- Neowise deprecated
- Stripe account transactions list fix
- Stripe Added Account ID
- Stripe publishable key fix
- shipping extensions grid fix

Additional improvements and bug fixes reported on the forum and GitHub.


------------------------------------------------------------


AbanteCart version 1.2.16

In this release, we bring a few new features, such as one-page fast checkout, product collections, email templates, local delivery, and others.
AbanteCart v1.2.16 also includes a number of improvements and fixes based on customer feedback.

Core:
- PHP v7.4 support
- Webp image format support
- Append php call stack into db-driver exception
- HTML Cache deprecated
- Improve tax class
- Add Mustache library
- Parameter tampering fix: Price manipulation of products
- Enforce same-origin iframe use only

Control Panel:
- Additional settings for local business into the store details page
- Products/categories/brands collections
- New product review settings and management
- Stock auto-disable fix
- Order edits, currency handling on different browsers
- Bugfix with multi-currency order recalculation
- Email templates and management
- Product import bug fix
- Listing grid icons and CSS updates
- Set minimal search chars of 2 for ajax chosen
- mce-editor JavaScript fix

Storefront:
- Google Recaptcha V3 support
- Fast one-page checkout
- improvement validation of parameters for a few methods of catalog/product model.
- A country without States issue fix
- Google Tag Management
- Products/categories/brands collections

Core Extensions:
- New Fast one page checkout
- New Local Delivery shipment
- Stripe added 3d-secure support and library updated
- COD fixes
- LiqPay upgrade
- Realex upgrade
- Authorize.net update
- Cardconnect upgrade
- Payza payment deprecated

Improvements and bug fixes reported on the forum and GitHub.

------------------------------------------------------------

AbanteCart version 1.2.15

This is unplanned release to provide clarity and better interface for multi-location stock management.
Release includes fixes to multi-location stock management as well

Core:
- Stock multi-locations support improvement
- Mysql strict mode improvement (#1236)
- Added default value for invoice_prefix
- Add ability to import product option images
- Added buffering into apdomysql driver

Control Panel:
- Added multi-locations support to order edit page
- Menu and dashboard display now reflects user permissions
- Return to stock order edit page corrections.

Storefront:
- Shopping Cart page fix related to tax included in the price (#1269)
- Correction to images display for product options in shopping cart and product details pages

Extensions:
- PayPal express minor fix (#1267)

Improvements and bug fixes reported on the forum and github.

------------------------------------------------------------

AbanteCart version 1.2.14

This release comes with improvements, bug fixes and default extension updates.

Core:
- Stock multi-locations support for products and options
- Testing with PHP 7.3 and warnings resolution
- Testing with MySQL 8.0 and warnings resolution
- Error backtrace and handling improvement
- Refactoring related to csrf-tokens and backward compatibility
- Cache related bug fixes and improvements
- Fix to get remote IP while server behind Cloudflare or proxy
- MySQL driver improvement

Control Panel:
- improvement of scheduled tasks running
- Added column sku into order_products and order_options tables
- Improve product tags filtering on product create and update
- Improved UI for switch (on/off) buttons
- Multi-store custom block content support
- Product tags improvement
- Multi-store blocks handling improvement
- Form Manager fix for checkboxgroup/multiselectbox field type

Storefront:
- Added product listing layout
- Manufacturers listing block fix
- Menu language related bug fix
- added new data-sources for auto-listing block (manufacturers, featured, bestsellers,latest)
- Show options specific image for product in the cart and after purchase
- Set logo container to be fixed width/height
- Embed mode JavaScriot error bug fix.
- Google Analytics ecommerce tracking fix

Extensions:
- Depricated Authorize.net AIM payment and replaced with new one
- Stripe API and SDK update
- Fix for parital payment issue with PayPal payment (in case of partial store cretid)
- Resolved issue with PayPal refund with non-default currency.

API:
- Added subcategories handling to Storefront API

Long list of improvements and bug fixes reported on the forum and github.


------------------------------------------------------------

AbanteCart version 1.2.13

This release comes with improvements, bug fixes and default extension updates.

Core:
- Testing with PHP 7.2 and warnings resolution
- ARouter fix related to \0 at the end of route and further improvement
- cache file driver minor fix
- sql fix in store_description table
- improved error handling in response controllers when not found
- Fix for duplicating images on import
- PHP files reformating to PSR

Control Panel:
- TinyMCE updated to v4.7.10
- improve SQL error handling in product creation
- Added save to store ID in case of missing category
- extension settings saving improvement
- task modal js-fix related to attempts on fail requests

Storefront:
- minor fix of product-controller related to "rating" html-field
- Add activation link resend option
- Add CSS class to BODY tag to identify pages.

Extensions:
- PayPal Standard and Express improvement
- Avatax integration
- Fixes in CardConnect
- Stripe payment update
- Twilio update
- Neowize terms and conditions link update
- Update for encryption extension

API:
- Add SEO data returned to API
- Fix for latest product API and currency conversion rounding (rare case)

Number of improvements and bug fixes reported on the forum and github.


------------------------------------------------------------


AbanteCart version 1.2.12

This release comes with minor improvements and bug fixes.

Core:
- jQuery update
- AResponse fix related to compression and embed-js
- cache file driver minor fix

Control Panel:
- fixed quantity field in products grid. Now calculation based on option quantity

Storefront:
- localization/country model improvement
- minor improvement of guest_step_1 page post-data values validation
- product page tpl js-improvement

Extensions:
- banktransfer minor js-fix
- worldpay fix contribution
- paypal standart improvements

Other bug fixes and improvements


------------------------------------------------------------


AbanteCart version 1.2.11

New features:
- New import wizard with automatic and manual data mapping
- CardConnect PCI Compliant payment integration
- New option type "Label" for display only purpose

Core:
- added new product option type "Label" for display only purpose
- minor improvement of core/lib/config.php related to cli-mode
- Added URL into error text when wrong key_param-key_value pair
- ahtml class fix related to https as plain store url
- added jpeg warning ignoring via ini_set into AImage class
- improved ExtensionsAPI class and extension settings page controller
- added iso_codes for weight and length classes
- AResource class minor improvement
- message-info controller minor fix related to hooks-call
- image url fix related to api-controllers. Now all urls will be without protocol (with // at the begin)
- Depricate Mcrypt and replace with OpenSSL
- Added CLI interface to run tasks
- minor fix of order class

Control Panel:
- New import Wizard with automatic and manual data mapping
- import/export improvements using tasks.
- import/export added schedule task
- import/export added logging for import with internal formatted file
- model/catalog/product fix related to product deletion
- default weights and length classes now predefined and cannot be deleted
- ALayoutManager minor improvement
- updater changes related to extension versions comparison
- Empty result set fix for listing grids
- report of purchased products improvement
- Initial install wizard modal fix

Storefront:
- Update to stock handling on products and options
- Google analytics JavaScript improvement
- New option type "Label" for display only purpose

Extensions:
- CardConnect new PCI validated payment
- Update Stripe for PCI validation
- Banner manager JavaScript fix related to seo url upgrade
- Fix for MarketPlace price display
- Royal Mail missing definitions
- Parcelforce notes update
- Weight Based shipping text update
- USPS add help notes
- UPS and Fedex text corrections
- Discontinue WorldPay support

Various bug fixes and improvements


------------------------------------------------------------


AbanteCart version 1.2.10

Core:
- Update to Bootstrap v3.3.7
- Upgrade to Fontawesome 4.7.0
- Added support for NGINX web server (nginx.conf.txt)
- Added csrf token security with backward compatibility
- Improvement for faster handling with super large products database
- Large size AImage resizing stability improvement
- added column sku to order_products and order_options tables
- Task UI and stability improvements
- Stability improvement of cache file driver. Added renaming for folder before deleting (locking for write)
- AMessage improvement. Now update of view-count will not change 'modified' date
- Add automatic registration of user and customer IDs in mysql session.
- 2017 Copyright update

Control Panel:

- improvement of language_manager and restart of tasks
- Fix for loading of missing definitions process (error_text fix)
- Product options handling improvement
- Illegal string offset 'extensions' warning fix
- package installer improved. Added charset detection for license.txt
- Fix of switching to another languages when maintenance mode is enabled

Storefront:
- Storefront enhanced csrf token security
- CSS updates and UI improvements in default template
- Added SKU to Google Analytics ecommerce tracking
- Added ability to show text message "Inc tax" for products with tax included.

API:
- Improve add to cart (products bulk add and cart clear)

Extensions:
- Updated payment extension to handle csrf token security

Various code and feature improvements as well as bug fixes


------------------------------------------------------------

AbanteCart version 1.2.9

Core:
- improvement of ACart library. Added inventory quantity to products list of cart (available quantity)
- Removed trunk from ASession
- Added to ARequest class method for getting remote IP of web-user
- helper/utils.php minor fixes and comments
- cache file driver improvements
- added better logging into utils.php
- minor changes of lib/error.php
- added redirect function to helper/utils.php. methods with name "redirect" marked as deprecated
- lib/order.php and lib/cart.php improvements related to hooks and extendability
- lib/order.php improvements extensions API fix related to arounding of methods
- lib/customer refactoring
- Aview improvement
- lib/cart.php minor fix
- order_status lib phpdoc comments
- added column settings into products table of db
- download lib improvements
- added php-doc comments into download lib
- model/checkout/order improvements related to hooks call
- currency auto-update now works only for default store settings
- currency / rounding fraction issue fix
- In Tasks, added task_api_key into installation process for secure run task from browser
- Password validation fix considering HTML entities
- Admin password quotes support
- added phpdoc comment to AController class

Control Panel:
- refactoring of listing_grid response controllers related to hooks.
- customers grid speedup related to orders count
- added loading of missing descriptions for language via task-process
- now task runs via task.php from modal with progressbar
- sale/order_details tpl improvement (added hookvars)
- added processData hook call
- changed $error property to public in some controllers
- added method getPaymentsWithHandler into extension/setting model
- changes of product model related to settings column
- added time for comments on order edit page

Storefront:
- added disabling coupon button on order confirmation page
- model/checkout/order improvements related to hooks call added trim to account create and guest registration form
- embed.js minor improvement
- account/invoice fix
- model/catalog/product minor fix
- added prevention from close to embed modal
- added hookvar for embed product page
- changes related to order downloads for guest customers
- product page tpl reformat

Extensions:
- default_royal_mail fixes related to weight class
- banner manager minor fix
- default_stripe version changed to 1.0.1
- added payment handler to default_stripe extensionMerge remote-tracking branch 'origin/1.2.9' into 1.2.9
- added items to ecommerce tracking
- predefined IM URI on guest checkout page 1 fix
- PayPal handshake error notes
- Improve transaction submit.
- Improve extension priority and run order handling.

Various bug fixes and improvements


------------------------------------------------------------


AbanteCart version 1.2.8

New Features and improvements highlight:
- Improved password encryption and simplified process of password reset.
- Usability improvement in admin with quick data access
- Cleaning for install/upgrade history
- Customers' analytics provided by NeoWize
- General performance, user and customer experiences improvements

Core:
- added force mode for getting extensions list
- changed message in case unable to connect to database
- controllers chain-calls fix.
- listing_grid/product minor changes
- Changes related to viewport (page-response for modal view)
- AResources optimization and speedup
- ALanguage optimization and speedup
- ahtml and arescource improvements
- Amessage minor change
- AConfig fix
- XSS fix and changes of ARequest. Added xss_clean method.
- fix related to ssl-mode
- AImage minor improvement
- fix of settings in multi-store
- sql fix of AResource
- AConfig fix
- refactoring of AHtml class
- Password security update and reset process improvement.
- Rare case rounding issue fix

Admin:
- product_option page. fix related to rl-images for option values when all rows expanded
- user edit form improvement.
- upgrade now button on extension edit page
- cleanup of sale/order page controller
- extension store fix related to non-connected store and loggedin customer on MP-side
- added cleaning of install/upgrade history into cache management and history page
- clean of response controller of extensions store + changed upgrade button on ext.page
- added error reporting to AResource
- minor changes related to warnings in log
- added error logging into image model
- menu items sorting fix
- model sale/customer improvement
- css fix of delete confirmation popover
- mp_api model revert
- code improvements related to subsql_filter
- Marketplace product listing and purchase improvement
- added hook_var into product summary tpl
- Enable import/export controller to be hook-able.
- Filtering data for encrypted params.

Storefront:
- css fix for additional images on product page.
- sql fix of saving order data of IM related to guest checkout
- Added redirect from non-secure login page to secure when ssl is on
- added link to newly created order invoice on success page
- model checkout order improvement
- account/downloads pagination fix
- added hook call into seo_url common controller
- Fix for current page pagination click
- API thumbnail fix from ravdeepsingh22
- Fix for options selection and images load
- HTTP and HTTPS links improvements
- Storefront header controller cleanup, removal of backwards compatibility prior to 1.2
- Account creation, preselect if only one country
- New getHomeURL() method for storefront

install:
- db-changes related to longtext instead text column type
- added constant SERVER_NAME (needed for scheduled tasks that will be run by cron)
- Discontinue global SALT usage
- Fix in upgrade process to handle new empty directories.

Extensions:
- neowize_insights analytics

Various bug fixes and improvements


------------------------------------------------------------


AbanteCart version 1.2.7

Release includes new caching system, substantial performance boost and some features

New Features and improvements highlight:
- New high performance caching system with support for APC, APCu Memcache, Memcached and Xcache
- HTML Cache for high traffic storefront support
- SQL load improvement and reduction of database requests in disabled-cache mode.
- Profiling and PHP execution time optimization.
- Improvement for image resizing
- PHP 7 tuning and testing

Core:
- PackageManager minor fix
- database drivers error reporting improvement
- AHtml refactoring + phpdoc comments
- database drivers error reporting improvement
- AConfig sql optimization
- ADataset refactoring + phpdoc comments
- changes related to cache debugging
- extensions classes typos and phpdoc comments
- created new function get_image_size() in Utils.php
- replacements of deprecated ACache methods (get, set) calls + phpdoc comments
- ALanguage minor changes related to language recognition
- changes related to setting for cache enabling
- added apc, apcu, memcache, memcached, xcache drivers
- added config-setting and expiration for html-cache.
- minor fix related to warnings in logs
- fix in is_serialized() inside utils.php
- added hook call on save method in AImage
- AImage changes related to resize and save of images
- improve INI load time
- Language load optimization fix
- New Caching system.
- Cache, config and request exec time improvement
- Improve exception error handling and display
- New logo update

Admin:
- fix related to seo-keywords during product cloning
- minor fix of dev tools url
- clear cache page changes relates to new aCache
- added lang-pack into tinymce
- added fix of updating resource description in RL (related to auto-translation)
- Add link to troubleshooting page

Storefront:
- Optimized HTML for faster browser rendering.
- Storefront template load optimization
- css fix of rating stars view in left column block
storefront: added ajax updates for cart menu block after page loaded + ajax update for product view count + fixes of typos etc
- fix of wrong balance applying after new product adding to the cart Extensions: UPS fix related to estimate based on dimensions of products fix #541
- Pages and blocks HTML cache implementation (beta)
- Default multi-value options section fix.
- Implement banner cache
- SQL-queries optimization. Added caching into AWeight, ALength and ACurrency libs
- SQL-queries optimization. removed calls isTrackable and hasAnyStock inside products loops
- SQL-queries optimization. (Resource thumbnails).
- Optimization for categories and menu building
- Category product count optimization

install:
- added config_image_quality setting value
- config_image_quality now set in 95%
- optimize large demo jpg files
- optimize large demo png images
- block_templates demo data fix
- changes of system_check() calls related to install directory check

Extensions/Upgrade:
- FTP Install/Upgrade fix for some rare cases.

Various bug fixes and improvements

------------------------------------------------------------


AbanteCart version 1.2.6

Release includes couple of new features and number of core improvements

New Features and improvements highlight:
- IM (SMS) Notifications for administrators and customers
- New Text and visual HTML editor
- Resource Library improvement and RL manager page
- Improved email bulk mailing, newsletter and SMS messaging
- Improved site performance in the code and with provided Apache server side settings.
- Tax exemption

Core:
- Implemented tax exemption for the group
- Added pdo_mysql Mysql driver
- added silent mode into error_handlers
- Fix for per page pagination
- system check for cache files permissions fix
- system check changes related to permissions of session.save_path
- ACache fix related to warnings in log
- JavaScript fixes for inline js related to defer attribute of script-tags
- added new settings "start order number" and "incomplete orders expiration". + fix of start invoice number bug
- css changes for width of scrollbox of checkboxgroup element
- fix related to quotes inside js + phpdoc improvements

Storefront:
- Add separate layout for cart page
- Layout install fix
- Layout SQL improvement
- Fix for storefront search with empty spaces.
- Optimize HTML for better performance

Admin:
- Improvement to Resource Library UI
- Resource library manager
- CKEditor replaced by tinymce
- Admin notification management to multiple emails and SMS
- added deleting of resources from RL during category(manufacturer) removing
- changes of sale/contact. Added message count that was sent.
- Better grid responsiveness handling
- Slow sql fix on a customers grid and dashboard
- added new multi-action "set related" to products grid.
- AConfigManager changes related to session_ttl config parameter. Added suggestion for session maxlifetime
- usage db-driver fix in migration models
- order details tab fix
- Fix for latest 10 customer sorting order
- Fix for slow select on admin main page load
- Quick link to contact customer


Extensions:
- Textmarketer SMS integration
- Twilio SMS integration
- pp_default and pp_standart fix related to virtual products in the cart
- Translations for IM

API:
- Fix for API cart delete with GET method


------------------------------------------------------------


AbanteCart version 1.2.5

Release includes couple of new features and number of core improvements

New Features and improvements highlight:
- Order cancellation option for customers
- Ability for guest customers to access order details
- Google reCaptcha v2. Easy to use captcha to protect from robots.
- Italian core language (Special thanks to Daniela Stucchi)
- Additional listing block data list sources (manufacturers, featured, bestsellers, latest)

Core:
- changed minimal php version requirement to 5.3
- Fontawesome v4.4 upgrade
- Bootstrap v3.3.5 upgrade
- Resource library UI improvement
- Image processing and memory allocation improvement
- Language processing improvement and bug fix
- fix for getBrowserLanguage() related to web-bots and empty language-code
- added system check for web-access to restricted folders
- added system check for low PHP memory limit
- added AOrderStatus class. Changed order status management in admin.
- Handling single quote issue in language text used in JavaScripts
- Improvement to files/directories handling in admin/system
- Add make_writable_dir and is_writable_dir
- Missed translations for Spanish and Russian languages
- Image size update for settings shared between admin and storefront
- Better session ID validation and handling
- Rare cart rounding issue fix

Storefront:
- added feature "order cancelation by customer" on SF-side
- added feature for guest customers to access order details
- added mail.tpl for "create account" email.
- sql fix related to top 4 of featured products + reformat of code
- breadcrumbs minor fix
- Minor HTML and CSS fixes
- Improvement to cookie handling

Admin:
- added critical system check on login page
- various data grid UI improvements
- added icon for section into lang_definitions grid
- periodical ajax system check instead of every page load
- added htaccess with deny rule to admin/system directory and subs.
- added phpinfo view on settings/system page
- added mail.tpl for "send mail" page.
- added system check before package installer and backup processes
- ckEditor fixes
- Form Manager improvements
- Show crash report and email to AbanteCart team
- Chosen HTML element selection improvements
- Extension archive extraction bug fix and improvement

API:
- Fix to allow authentication without use of cookies.
- Fix for customer loginname based login and account creation



------------------------------------------------------------

AbanteCart version 1.2.4

This a minor release is with further usability improvements and bug fixes

New Features and improvements highlight:
- New template management page
- Quick starter wizard to help with most common settings.
- Commands in global search
- System condition check

Core:
- ACart fix related to https://github.com/abantecart/abantecart-src/issues/235
- AConnect improvements
- New stack trace function for logs
- Session security improvement
- replace is_array for better performance
- better layout XML load error handling
- System condition check to warn changes on OS that effect AbanteCart stability

Storefront:
- Product embed code fixes.
- Embed fix for jQuery loaded at the end of the page
- 0px value replaced by 0 in css-files
- category menu fix #225
- Removal of misused cookie and improve first login message
- Main page promo section improvement

Admin:
- New template management page
- Improve global search and add commands in connection to voice commands
- implement of Resource Library into CKEditor. Added ability to paste in CKE SOURCE-mode
- Mark multilingual fields with the flag
- Resource Library fixes related to deleting of resource from edit-page and preselected type on search result
- Resource Library deleting resource fix
- cloning product fix https://github.com/abantecart/abantecart-src/issues/209
- Resource Library multi mode, save'n'apply button improvement
- Resource Library single mode fix related to drag and drop
- Layout management improvements.
- textarea product option improvement
- changes related to template cloning and devtools
- Styles and images cleanup
- Implement new documents site cross reference

Initial install
- Quick starter wizard to help with most common settings.
- added additional check for multibyte functions support (mbstring)
- optimized demo images

Various bug fixes and improvements


------------------------------------------------------------


AbanteCart version 1.2.3

This release is with new features and many fixes and improvements

New Features and improvements highlight:
- Easy embed codes to integrate AbanteCart into any existing website.
- Ability to sell products on any existing website without AbanteCart storefront
- New improve product images zoom
- Product blurb or short description

Core:
- Session security improvement
- package installer minor fix related to mp-token check
- Updated demo products

Storefront:
- Embed code into any existing website with same page checkout
- Added blurb (short description) to products
- New improved product images zoom module based on EazyZoom
- sorting fix for manufacturer's product list and specials ( Github #151)
- category page pagination fix ( Github #151 )
- retina related fix ( Github #140 )
- account/create minor fix related to hooks
- Product images and listing styling improvements
- Improved Add to cart ajax
- Fix for side listing HTML layout
- Message to user if ads blocking is enabled in the browser
- Add maintenance mode for response controllers and response message in Maintenance mode
- Various other storefront style related improvements


Admin:
- Embed code settings, preview and management
- order totals recalc fix related to price formatting
- Usability improvement if no payment is configured.
- fix of pagination in jgrid reloading after batch deleting on a last page
- reviews grid fix related to languages selection ( Github #147 & #156)
- design/content grid fix related to languages ( Github #148)
- menu edit select box fix ( Github #142 )
- Coupon large amount total issue fix. ( Github #162 )
- retina related css-fix of RL styles
- resource library single mode fix ( Github #180 )
- Resource Library Multilingual fix

Extensions:
- 2checkout sandbox and language fixes
- Updated Fedex shipping. Performance and rate calculation improvements
- Forms manager contactUs form fix related to new fields sending via email ( Github #176 )
- banner manager, setting fix for url target of text banner ( Github #177 )


Various bug fixes and UI improvements


------------------------------------------------------------


AbanteCart version 1.2.2

This is a release with few new features and many fixes and improvements

New Features and improvements highlight:
- Admin order management improvements
	1. Ability to add products with options selection
	2. Order total management & recalculation based on storefront rules
- Resource library support for Retina images
- Marketplace authentication and improvements
- Number of UI Improvements for admin and storefront.


Core:
- Ability to access storefront models from Admin.
- Cache improvements
- added experimental Postgres db-driver. Incomplete.

Storefront:
- checkbox and label position fix
- added predefined product options when view product from checkout cart page
- default template minor fix
- Image resizing improvement for png format.

Admin:
- added common controller for tabs building. Customer and customer group edit form tpl fix
- global search fix related to total extensions
- Improve HTTPS handling on admin.
- Form manager improvements

Extensions:
- Liqpay is updated.
- Form manager, add files support.

Various bug fixes and UI improvements


------------------------------------------------------------


AbanteCart version 1.2.1

This is a release with few new features and many fixes and improvements

New Features and improvements highlight:
- Unauthenticated customer support (Handling after login session expired)
- Adding Wish list and cart page improvement
- Stripe payment
- Skrill Payment

Updates and Improvements in more details:

Core:
- added disabling of apc inside php.ini of public_html directory (related to installation process)
- AHtml changes. method convertLinks fix
- added process of handling non-writable log-file in ALog class
- Improved handling for store and settings (visual status)
- Better handling for Free shipping set in the product
- Fix for default PHP Exception handler (if third party lib used)

Control Panel (admin):
- Shared downloads listing grid sorting by product count fix (fogbugz #28)
- product edit form ui-improvement related to weight value
- minor change of package installer page controller
- menu grid fix. Now use icon instead html-code of icon resource-code to prevent grid breaking by non-valid html
- backup process improvement
- Highlight pages with disabled status.
- Backup fixes.

Storefront:
- checkout/shipping minor change of button placement
- menu cache name fix
- menu icon url fix related to https mode
- minor URL fix in invoice.php
- Login now remembers user name if login failed.
- Case insensitive login name
- Wish list and cart page improvement

Extensions:
- Stripe and Skrill payment

Various bug fixes and UI improvements

------------------------------------------------------------


AbanteCart version 1.2.0 with new administrator and improved storefront designs.

This is one of the biggest updates and improvement in AbanteCart ecommerce since project has started 3 years ago.
New mobile user and customer interfaces as well as new features set AbanteCart to be one of the best and leading open source ecommerce solutions.

New Features and improvements highlight:
- AbanteCart is now 100% mobile for storefront and admin
- New responsive administrator design. Powered by Bootstrap v3.2
- New features in admin to improve ecommerce platform management.
- New improved Resource Library
- Form manager to create and edit forms
- Updated Bootstrap v3.2 Storefront with few new features.
- Introduce Tasks Management to improve time consuming processing (beta)
- Database optimization for performance
- Improved and extended reporting
- Updated and new core extensions
- Further improvements to extension API

Updates and Improvements in more details:

Core:
- Tasks subsystem to handle time consuming processes
- Improved caching and error reporting
- Added more new template hooks
- Ajax error wrapper and standard messaging
- New indexes on some tables
- Updated static error pages.
- Standardization for date_added and date_modified fields
- Large collection of icons with fontawsome 4.1
- Now installed (not only enabled) extension controllers can be ran in admin.

Control Panel (admin):
- New Bootstrap 3.2 responsive design.
- Third party open source libraries updates.
- Improved interface of the admin
- Added icons support to menus
- New improved Resource Library
- Store switcher to filter data selection by store selected
- Backup improvement with task implementation
- Template settings are now managed per template individually
- New drag/drop layout management
- Added gritter notifications
- Added form manager
- Improved product lookup and select with chosen element
- Notification of new customer registrations and new product reviews
- Improved reporting for sales
- Added reporting for taxes, shipping, discounts and customers
- Incomplete (not finished) orders are now included in displays

Storefront:
- Updated to Bootstrap 3.2 and mobile screen improvements
- Third party open source libraries updates.
- Customer Address edit improvements
- Out of stock handling in product listing and product details
- minimum/maximum allowed quantity message fix for product page
- Improve checkout from cart page. Update cart before checkout.
- Update credit card entry to improve user experience
- Shopping cart update/checkout improved usability.

Extensions:
- All core extensions are updated to bootstrap and new version.
- Added extensions Form manager, PayPal Express, Realex, CashFlows and Payza payments

Installation :
- New redesigned and improved AbanteCart installation process

Many other fixes and improvements that would make this list very large and boring.


------------------------------------------------------------


AbanteCart version 1.1.9 with new features and improvements.

Release Notes:  Version 1.1.9

New Features and improvements summary:
- New account activation verification via email
- Storefront menu to support font icons and custom HTML
- New AbanteCart marketplace integration
- Storefront API Update
- UI Improvements

Other fixes and improvements in more details see below:

Core:
- memory usage improvement (index.php + init.php)
- alanguage fix related to browser language detection
- aform fix related to error message of regexp check
- acache permissions set for nested dirs changed
- AMessage changes related to repetitions of message
- captcha image output fix related to http-compression
- AConnect default timeout for curl fix
- Fix for getting of unique seo keyword
- AFilter fix related to overriding of data in constructor
- fixes related to AttributeManager getAttributes method changes.
- database now use utf8_general_ci collation by default
- Fix for language object name conflict
- To improve performance, auto update currency now off by default

Control Panel:
- added package manager "phar" usage for unpacking of archives
- Resource Library Awesomefont Icons support and improvements
- Fix for single letter domain name for email validation
- Fix for empty comment in order email
- CKEditor fix for <i> tags
- Grouped options values fix
- removing downloads fix
- now admin can go directly to mail form from customers grid to send message for customer(s)
- user group, permissions grid sorting fix
- Fix for product option global attribute list limitation in select-box.
- Resource library improvements
- Adding clone button to product edit page
- Better selection of newsletter mail groups

Storefront:
- Direct product access if search result brings single product
- Fix for breadcrumb in SEO URL mode.
- sale/mail fix related to sender errors.
- mailer subscription fix
- Storefront API improvements.
- product options display fix related to zero quantity
- href for logo changed to store url from settings (seo related)
- order download expire date fix
- unknown ajax error alert fix of default_html5 template
- Fix related to API and zone bug
- Fix for missing totals on checkout page if estimate is disabled.
- Categories storefront view fix (in case of status OFF)
- Add capture to newsletter subscription

Extensions:
- PayPal pro fix related to price rounding and total amount of order
- encryption_manager sql fix pre-release minor fixes and cleanup
- HTML decoding for bank transfer details
- Authorize.net payment update to supper pending review.

Installation :
- fix of session name for php as cgi mode


------------------------------------------------------------


AbanteCart version 1.1.8 with new features and improvements.

Release Notes:  Version 1.1.8

New Features and improvements summary:
- New Improved Digital Products support (Product Downloads)
- Admin voice command controls (beta)
- PHP 5.4/5.5 and MySqli support
- Adding human verified Russian language to the core
- "Call for order" or view only mode products setting
- Cache engine improvement
- Countries, zones and taxes are now multi-lingual
- Language definition add/edit improvement
- Number of HTML5 storefront template updates and improvements
Many other features and improvements

Core:
- Resource library improvement
- ACache optimization. Now file modification time use for expire time definition instead timestamp inside file name.
- resource manager fixes related to empty descriptions of resource for fresh installed new language
- AView fix related to coping of default template by devtools
- added methods is_POST() and is_GET() in ARequest class
- ALanguage changes related to import language definitions to database.
- new feature setting "call_to_order" related fix
- added feature setting "call_for_order" for product to control panel and storefront default templates
- AMail lib fix related to unicode subject and sender name
- added property-sign about currency switch
- added phpdoc comments ACustomer class
- added var type check to escape method of db-driver classes
- AForm changes. form_id will append to action url of form.
- changed ALanguageManager class.Php-doc comments added. Also changed method for pre-loading of definitions for installation process. Install: implemented setting for db-driver(mysql or mysqli).
- database changes related to regexp for flexy form fields and error text for that check.
- changed method getData of AView class. Added optional parameter $key for better use by hooks. Also phpdoc comment added.
- changed ALanguage class. Now all language definitions values can't to start and end with CRLF. (js-related rule)
- added mysqli db-driver
- changed AView class related to default template tpl fetching. Also added function numberDisplayFormat into engine/helper/utils.php
- changed ExtensionAPI class. Added protected property $baseObject_method. It's a name of caller of hook method.
- changed ALanguage class. Added "silent" mode to method get(). Also php-documentor comments added.
- added warning for overriding of template data by values with different types.
- added minor change into method url_encode of AHtml class + phpdoc comments
- added new method getVirtualAProducts into ACart class
- ALayoutManager minor fix related to error text in constructor.
- mysql connection now will have 60 sec for wait_timeout. Also added directive output_buffering = 4096; into php.ini to prevent disabling buffering for some php-cgi and php-cli builds of web-servers.
- Ability to encrypt URLs with base64. Add buildFilterURI() method to filter class.
- Devision by zero fix in utils
- Add robots.txt to block some directories from access by search engines

Control Panel:
- product option values sort order js-improvement
- downloads related changes
- product option fix related to deleted option value of global attribute
- Resource library js-fix related to multiple usage on same page
- uploaded filed management fix related to aform changes
- fix for ALanguageManager related to insert of new definitions for non-default language
- customer approve fix
- minor fix related to regex validation of product options
- model catalog/product minor fix
- js-function refactoring part1. All functions now variables. It done for future overriding.
- now paypal extension will be first in extension list after installation of cart
- location edit page minor fix related to php-warnings
- listing blocks minor fix related to php-warnings
- added ampersand of URL conversion into menu controller
- minor fix of global attribute form's tpl. Native spellchecker of browser now enabled by default in CKeditor
- jQgrid drag bug fix with click event
- Improvement to marketplace and search for extensions
- Better money decimal points formatting in admin.
- Language auto-translate fix and improvement
- Update success/warning confirmation message to Bootstrap style
- In resource library add view of resource files's path
- Category deletion fix. Removal of relationship to products
- Adding control for fallback banner in HTML5 slider

Storefront:
- Category menu to show images for subcategories with mouse over.
- checkout/confirmation fix related to comments for html-view of email letter for customer.
- icon for shipping/payment method minor fix. Forgot pass default_html5 minor fix. Core: encryption minor fix
- minor change of default_html5 template for captcha.
- minor changes of "contact us" controller.
- contact us form changes related to processing of uploaded files
- changed hook "processData" call to checkout guest_step_2 and payment controller in checkout directory.
- default_html5 minor fix related to product listing buttons for product
- minor fix related to html-validation
- cart controller redirect fix
- fixed incorrect text breadcrumb on forgotten-login-name page
- redirect url fixed on guest checkout page Core: AResource and AResourceManager minor fix
- guest_step_2 fix related to ignoring of agreement with policy after turning back from step3 page.
- now default method (main) of account/forgotten is password();
- account block data added (urls of login, register and forgot pass pages )
- account/create form for customer.. validation improvement related to extension's hook validator
- account block now will hide info if user is not logged
- added "hook var" call to checkout guest tpl step2 of default templates. Also added id for table with order summary on cart page in default_html5 template
- added typo fix for account/create
- minor fixes relates to hooks call
- Product sorting by Price includes discounted price.
- storefront menu edit form fix related to list of content pages

Extensions:
- default flat rate shipping fix related to location setting
- added note for return URL on paypal standart settings page
- fixed URL of COD controller (was loop redirect on confirm page when press back button)install: demo sql data consistency fix
- PayPal Standard summery fix
- PayPal Pro callback (IPN support implemented)


AbanteCart version 1.1.7 with new features, improvements and bug fixes.

Release Notes:  Version 1.1.7

New Features and improvements summary:

- New customers' dashboard design for HTML5 template
- Font icons added to storefront sections
- Google Analytics with ecommerce tracking support
- Product status and condition highlight in admin listing and details page
- Layout manager UI improvement
- Drag and Drop sort order in admin grids
- Support for shared SSL
- HTML5 template validation fixed
- Many other small improvements

Bug fixes and improvements
Core:
- refactoring attribute manager and core/utils.php
- added new setting config_ssl_url. Support for shared ssl domain.
- replace of strtotime by wrapper function dateIso2Display. It needed for global setting of format of date and time which takes from language.xml file.
- changed recognizing of store by requested URL. Now protocol will ignore(http and https). Added Phpdoc comments.
- phpdoc comments added to attribute manager library
- added regexp validation with text about errors of product options
- global attributes + product Options changes related to validation properties of attributes.
- language definitions changes related to google analytics code in general settings. Refs added on google-help
- engine/extension.php bug fix related to config.xml of extension and php 5.4
- AMail attachment headers bug fix
- core/lib/currency.php refactored. some checks of variables and phpdoc comments added.
- internationalization of SEO-keyword usage bug fix.
- 2 settings added to control coupon and shipping estimate blocks display (default_html5 only)
- applying discount (core promotion) bug fix (related to calculation of total quantity of product in the cart)
- table url_aliases (with SEO keywords) now have additional unique index to prevent duplicates
- phpdoc comments added into Alanguage and Extension classes
- targz.php php open tag bugfix
- Fixed validation of the max size of the uploaded file.
- maintenance mode storefront session for admin fix
- phpdoc comments added to ADispatcher class
- phpdoc comments added to ADB, AUser and MySql classes
- fixed wrong image extension of the one of the PayPal icons upon install.
- AResource ssl urls bugfix. (additional images had plain http-URLs instead https)
- one of product option values now can be selected as default(for storefront product page). Also placeholder(hint text) added for some product option types such as selectbox, input.
- Getting resources will now be ordered by rl.resource_id not just by rm.sort_order in case rm.sort_order is equal.
- changed language definition quick edit form. Now user can not to edit "section" of definition.
- language definitions of setting "require login name" fix
- migration abstract class mysql connect bug fix
- language details quick save fix. (locale)
- package installer ftp-mode check's fix
- menu management grid icons fix


Control Panel:
- migration data of oscmax added
- Update migration tool for opencart 1.5.x support
- migration bug-fix related to oscommerce 2.2 and adding oscommerce 2.3.3
- attribute manager sql bug-fix
- fix related to language definitions for common(default, global) extension settings
- Resource library fix related to id of html-elements which starts by numbers
- fix of sorting of new added resources in Resource library.
- fix of links on customer management pages
- sorting by dragging in jqgrid. (appeared when all sort order numbers are zero)
- Resource library javascript fix related to edit form
- Resource library edit form refactoring. Now form fields will created by aform class
- Resource library saving details redone by ajax call. Now details use autotranslate scheme. Core: Added wrapper addJSONHeader into AResponse class.
- minor fixes related to new css of admin template Extensions: Google Talk changes related to renaming of google talk to google hangout
- design-layout fixes
- fix for migration driver of CRE loaded
- refactoring of controller for editing of listing block
- add product count to category listing and link to product list
- refactoring of design/content page controller
- added product condition check in listing grid and edit page of products
- sale/mail improved (refactoring + minor ui changes)
- filtration of language definition grid by section bug fix
- global attributes listing and edit page changes related to rebuilding page structure.
- global attributes listing and edit page was rewritten. Global attribute form now broken on two parts: main attribute data and other (subform). Subform creates by another controllers: core (for product options) and extensions(for other attribute types) Core: global attribute type name now multilingual.
- quick save settings from global search suggestion fix.
- design/content management changed...tree grid added + edit form changed too. Core: html-factory changes. Property "disabled" added into Multiselect box class. Property is array with ids of option that disabled (supports by all browsers and IE8+)
- common controller of grid building now contains check for column with reserved name "parent"
- button for auto-generate added into edit forms of products, categories, manufacturers and contents. SEOencode function changed.
- global search improvement to display setting's text instead of key name
- button for order history of customer added in menu sale/customers
- coupon date range fix
- removed category name length limitation.
- saving custom layout for categories fix
- Block deletion of important order statuses: Canceled, Complete, Pending, Processing.
- customer transactions bug fix. (debit/credit)
- notice about enabled maintenance mode for admin added.
- download's counter fix
- Add System Sub Menu for faster settings access.

Storefront:
- added controller for newsletter subscription with tpl. Now subscribers will adds to it's own customer group.
- added attribute type to tag <script>
- refactoring of controller of listing block. + sort order column added to multivalue hidden_list aform element. Now we can set sort order for selected items of custom list
- fix related to notices about stdClass properties
- minor bug fix related to notices about stdClass properties
- css-changes related to product option form
- google analytics code added
- Added missing loading_1.gif image and "ws_nowrap" CSS class.
- fix related to coupon in guest checkout. Appeared when total amount is 0 but payment method was still required.
- HTML5 template validation fixes
- Fixes of newsletter subscription
- refactoring of category block's controller. Also fix of category tree that appears in case when seo-support enabled.
- fix of special products list related to language settings and product's description.
- condition to prevent selecting of unavailable products in some methods of model catalog/product
- added type casting into model content.php + phpdoc comments
- validation of address data refactoring
- default_html5 template changes related empty content inside of column left/right blocks.
- default_html5 template changes related to hook for product listing additional buttons
- checkout/payment controller bug fix related to "error" property access. Not it accessible for extension hook
- default address for customer now will use for shipping estimate form on the cart page
- template default_html5 changed. login page responsiveness bug-fixes.
- template default_html5 changed. OneByOne main slider now loads last.
- customer balance display bugfix related to currency conversion. Also balance applying to order will discard when some products removes from cart during session.
- default template "create account" page fix for account policy is empty and missing continue button.

Extensions:
- Update all default payments to HTML5 layout
- Provide ability to load modals for disabled extensions. Paypal Pro is updated to configure accepted credit cards
- Fixed credit card forms of the PayPal Pro and PayPal Pro UK extensions.
- default_paypal_standart now have method SALE as default in settings
- paypal pro default payment confirm buttons css fix
- fixed PayPal Standart for processing EUR payments
- PayPal Pro now has capture/refund features in admin order details page.
- banner manager default_html5 tpl bugfix
- Data Encryption extension update. Key rotation is added
- shipping-per-item location limitation fix



AbanteCart version 1.1.6 with new features, improvements and bug fixes.

Release Notes:  Version 1.1.6

New Features and improvements summary:

- Number of fixed for Responsive HTML5 template
- Improvement for content management
- Data Migration from osCmax shopping cart
- Ability to add custom icons to payment methods.
- Ability to create custom settings pages for extension
- Customers' orders count and listing orders per customer
- PayPal Pro now has in admin capture/refund features on order edit page.
- Added Ipad and Iphone icons for apple bookmark support

Bug fixes and improvements
Core:
- internationalization of SEO-keyword usage bug fix.
- two settings added for displaying block with form of coupon and shipping estimate (default_html5 only)
- applying discount (core promotion) bug fix related to calculation of total quantity of product in the cart
- table url_aliases (with seo-keywords) now have additional unique index to prevent duplicates
- phpdoc comments added to Alanguage, ADispatcher, ADB, AUser and MySql classes
- targz.php php open tag bugfix
- Fixed validation of the max size of the uploaded file.
- maintenance mode storefront session for admin bug fix
- AResource HTPS url bugfix. (additional images had plain http-URLs instead https)
- Product option values now can be selected as default for storefront product page display.
- Added placeholder (hint text) to some product option types such as selectbox and input.
- Resources now ordered by rl.resource_id not just by rm.sort_order.
- Updated 'ac_orders' table to store serialized data for payment services. Currently used for Paypal
- phpdoc comments added into cart and order libraries.
- package manager. Now index.php will not have mode 777 after upgrade (related to hosting providers security policy).
- add API with AddScriptBottom function. Now can add JavaScript (via PHP code) before closing body tag for better performance

Control Panel:
- package installer ftp-mode check's, bug fix
- menu management grid icons bug fix
- content management bug fixes related to pre-release QA task
- select box template minor bug fix
- Resource Library UI bug-fix. preview resource-> thumbnail's title attribute was broken by js-error.
- Migration tool minor UI changes.
- Added Migration data from oscmax.
- quick save settings from global search suggestion bug fix.
- package installer and backup/restore upload error handler bug fix
- design/content management changed...tree grid added + edit form changed too. Core: html-factory changes. Property "disabled" added into Multiselectbox class. Property is array with ids of option that disabled (supports by all browsers and IE8+)
- Error messages will now show on order details page. Extensions: Fixed credit card forms of the PayPal Pro and PayPal Pro UK extensions. Storefront: Added missing loading_1.gif image and "ws_nowrap" CSS class.
- common controller of grid building now contains check for column with reserved name "parent"
- SEOencode function changed. Button for auto-generate added into edit forms of products, categories, manufacturers and contents.
- pre-selected zone on sale->order edit page bug-fix
- UI bug fix related to RL dialog when session expired
- Added "payment_method_data" field to the output of the ModelSaleOrder::getOrder method.
- global search improvement related to setting's text
- Added button for order history of customer in menu sale/customers
- Coupon date range bugfix
- Bug fix of position in layout for new created block
- Saving custom layout for categories fix
- Removed limitation of length for category name.
- Disable delete of order statuses Canceled, Complete, Pending, Processing
- Updated migration tool. OscMax added. Also added import of product reviews.
- notice about enabled maintenance mode for admin added.

Storefront:
- Added Ipad and Iphone icons for apple bookmark support
- default address for customer now will use for shipping estimate form on cart page
- payment and shipping list bug fix related to icons of methods
- Updated default_html5 template. Templates of content blocks now support trees.
- Updated default_html5 template. Image preloader bug-fix of product page. Address edit page ui bugfix
- menu css-icon now will replace icon from RL
- first time selected attributes now sets as default after page refresh
- Updated default_html5 template. login page responsiveness bug-fixes.
- Updated default_html5 template performance.  OneByOne main slider now loads last.
- customer balance display fix related to currency conversion. Account balance applied to order will be reset if not checked out yet, and cart content is changed during session.
- download's counter fix
- fixes for file uploading and new upload form style for HTML5 template.
- fix in default template changed related to "create account" page for case when account policy is empty and continue button disappears.
- HTML5 template. Number of fixes for checkout layout in iphone/mobile layout
- Update of bootstrap version and print styling correction
- Fix for file upload and HTML5 new file upload element.

Extensions:
- banner manager default_html5 tpl improvement
- Now icon for payment methods list will be added to Resource library upon install.
- Updated PayPal storefront payment icons. Cleaned up code.
- paypal standard default_html5 tpl fix related to html-buttons
- fixed PayPal Standart not processing EUR payments
- PayPal Pro extension will now show if Test mode is ON
- Paypal Pro is updated to configure accepted credit card types
- Update all default payments to HTML5 layout (buttons fix)
- Provide ability to load modals for disabled extensions.



Release Notes:  Version 1.1.5

New Features and improvements summary:

- HTML5 Responsive Storefront template
- Basket (shopping cart) page quick tax and shipping estimate (On HTML5 template only)
- Basket (shopping cart) page coupon apply  (On HTML5 template only)
- Subscription for news letter
- Customer's account balance and money movement transactions support.
- Customers' file uploads and management interface in admin.
- Administrators Act on behalf of customer feature
- Various improvements to extension control. Global settings and ability to build custom setting pages for extensions (admin)
- Page load improvement
- PayPal payment settings improvement related to PayPal partnership and certification.

Many more small features added listed blow:

Core:
- default extension's setting bugfix related to serialized values for multivalue form fields + Refactoring.
- applying tax for shipping bug-fix.
- ALayout bugfix of wrong selection of page for layout related to a few installed templates.
- Unsubscribe page added to storefront. Link for this page added to sale->mail page on Control Panel
- session settings by ini_set moved to index.php
- Fixed multiselected extension settings.
- handling fee total extension now supports percent fees
- engine/utils.php. Process of <disabled/> entity of config.xml of extension changed.
- APagination moved back for old extensions support. Will be removed in major version
- Warning message added to log for case when tpl file for controller not found .
- now using has_value() function in AResource::getResources method to be able to get resources with id = 0.
- default sorting setting for product listing on storefront pages added.
- added column 'settings' in global_attributes table, updated demo data, fixed type in sql queries.
- now seo-keywords for products, categories, brands and content pages are multilingual.
- processing of additional config items for extensions added.
- Customer's account balance and money movement transactions support.
- Language manager translation of description bugfix.
- bug fix for template debugger. Now info contain actual template(tpl) of block instead requested.
- added methods addVirtual and removeVirtual into ACart class
- Windows server strptime() fix
- Add Northern Ireland to country list with "zones"
- Fix for extra prefix problem in Data import/export. (v1.1.4 bug only)

Control Panel:
- Act on behalf of customer feature
- resource library popup's preview image size bugfix.
- fixed bug when description text for extension settings fields (type resource) was missing.
- custom block edit form changed. Wrapper list changed and now based on list of tpl-files that placed inside subdirectory of directory blocks.
- custom block edit form changed. Wrapper list changed and now based on list of tpl-files that placed inside subdirectory of directory blocks.
- layout_manager xml import bug fix related to positions of blocks and language of description of block
- model for data of manufacturers changed. (cache check bugfix)
- extension settings saving bugfix related to multivalue grouped checkboxes.
- layout saving bugfix related to priorities of children blocks of placeholder. (if delete first from list of few blocks other blocks disappeared)
- block edit form changes rollback(tpl selecting)
- layout saving bugfix related to priorities of children blocks of placeholder. (if delete first from list of few blocks other blocks disappeared)
- money transaction management added
- added hook to extend fieldset at 'sale/order/history'.
- Extended custom blocks to have any block's tpl as wrapper
- now ckeditor use <br> as break line instead <p> tag
- package installer bug fix related to deleting by empty extension_txt_id
- added hook 'list_more_product_last' to extend products list. Storefront: added hook 'list_more_product_last' to extend products list.
- permission checks bug fix related to prefixes "r" and "p" of rt-variable
- updater bug fix related to inaccessible updates.xml on abantecart-server
- bugfix related to requests for updates.xml from abantecart.com.
- removed unnecessary debug output in controller tool/files Core: removed unnecessary debug output in helper utils.php
- html block edit form. ckeditor startup mode changed to "source"
- Package installer bugfix related to ftp install procedure
- Package installer bugfix related to ftp install procedure
- added System -> Data -> File Uploads interface. Storefront: all info about uploads is now stored in datasets.
- added model tool/files.php, updated sale/order controller to build download link for uploaded files in order details. Storefront: updates for "file" field type.
- extension settings page small refactoring
- fixed update of the file type field in global attributes. Storefront: fixed validation of the uploaded files in product options.
- implemented interface for adding 'file' type global attribute, added admin/system/uploads directory. Core: added column 'settings' in global_attributes table, updated demo data, fixed type in sql queries. Storefront: implemented file uploading and file validation for product options.
- package installer by ftp mode improved. Release notes now shows before cart upgrade.
- added hook "virtuals" into order details template to show virtual products added by extensions. Storefront: template variables for cart top block are now available from extensions, added hook "virtuals" into order summary and checkout confirm template.
- package installer by ftp mode improved.
- mail settings. help text changed

Storefront:
- default_html5 template added
- Added hooks to buttons at the cart page to be able to add buttons before and after cart buttons.
- controller common/menu.php changed. cache write rebuild
- now listing blocks can show external resources in default_html5 template
- sample data size optimized
- model catalog/products bugfixes related to listing block's calls. Refactoring and checks of parameters added. Phpdocumentor comments added.
- now maintenance page can have own layout in template.
- Added title popup for description of the shipping method at checkout.
- APagination is not needed anymore in "default" template.
- fixed guest checkout when order total is 0 (no payment required).
- products are now accessible from extensions and can be hooked, fix for emailed order details with virtual products.
- added hook 'virtual' for virtual products at account/invoice.tpl and hook 'payment_extensions_hook' for checkout/guest_step_2.tpl
- Default template. hookvars to pages/account/account.tpl added
- Default template thickbox(js-gallery) IE bugfix related to position of popup.
- support for account creation for newsletter subscribers only added. Now you can use get variable subscriber=1 to open this type of form.
- bug fix of hard set tpl for content block
- added hook into cart.tpl
- Added hook vars "pre_contents" and "pre_contents" to have ability to add links into "Information" block
- skipping of payment checkout page for orders with zero total amount added.
- Add storefront icon support for shipping and payment extension. Support default and defaultHTML5 templates
- Added "Continue shopping" button for the default template.
- Fix for thumbnails in listing block
- Apply coupon and estimate shipping and taxes in the cart

Extensions:
- Add support for extension custom settings templates
- custom settings template for default_pp_pro_uk extension, language fixes for default_pp_pro.
- Royal Mail rates moved to config.xml and not managed in extension
- Created custom settings pages for PayPal Standart and Pro
- updated icons for Default PayPal extensions
- now ckeditor turns on in "source" mode on banner manager form
- "Handling fee" core extension now have ability to set fee per payment method.
- Small banner extension fixes
- Add min and max settings for payments. Improve extensions settings to have defaults



Release Notes: Version 1.1.4

New Features and improvements summary:
- Customer's data encryption class with API.
- Data Encryption Manager Extension (Beta)
- Login name based customer authentication option.
- Bank Transfer payment extension
- Admin API to view customers and orders details.
- Advanced extension settings data validation.
- Added CVV help image for credit card payment methods.
- Cross site scripting vulnerability fix and improvement.

Bug fixes and improvements
Core:
- cross-site scripting vulnerability fix
- SSL private/public key based encryption class with API
- Customer's data encryption class with API.
- engine resource bug fix of incorrect result of getting resource list by object name and id
- getUrl() bugfix related to expired session and constant HTTP_SERVER
- extension's settings validation added. Now you can you <pattern_validate/> entity of item of config.xml file for check setting data by regex pattern. Also you can write your validate.php file with function settingsValidation to do more advanced validation.
- now store owner can import data when encryption is enabled.
- changes and bugfixes related to auto-translation
- extension manager refactoring. validateInstalled() renamed to isExtensionInstalled()
- Fixed bug with depended extensions sating ON, when main extension turned OFF.
- Prevent extension status to be set ON if dependency or required  settings data is missing
- init.php changed. bugfix related to language loading order.
- utils.php DateTime::createFromFormat method call replaced by wrapper for php 5.2.
- phpdoc comments added to Registry class
- encryption library phpdoc comments changed
- package manager changes. Chmod to 777 for core files during upgrade added.
- fix for total and tax class sorting
- Update error if disabled extension block is in layout

Control Panel:
- Fix for product_tags saving and auto-translation
- config manager minor bugfix. type cast for upload max size value added
- sale->coupons. Status will set to off for deprecated coupons. based on date range
- minor bug-fix related to number_format function(type casting added).
- coupon and product edit page. datepicker bugfix
- order details page. shipping method changing disabled. Now just plain text shows instead selectbox.
- SEO key auto generation based on product name bugfix on product's edit page.
- order details minor UI fix (shipping list selectbox of orders without shipping now will shows 'none' as 1st item)
- All language_definitions for extension will be deleted during uninstall process of extension
- saving of content page with enabled auto-translate bug fix
- Fixed issue with non defined extension_id, when install uploaded extension and it has dependent extension.
- package installer changed. Now detailed error shows when dependencies of extension are not valid
- extension edit page, help text by push button now can have content with URLs like this #admin#rt=...

- date form fields changed to formatted by language settings on product discounts, product specials, sales report and extension edit pages.
- minor fixed related to warning in log

Storefront:
- "framed" layout option added for listing blocks based on tpl files for blocks of template.
- guest checkout success page: link to contact form fixed
- guest checkout step #2 with auto selecting of shipping bug-fix.
- changed  image for ajax adding of product to cart.
- shipping page auto-select option bugfix (incorrect work with multi-optional shipping methods). Extensions: Fedex test setting added
- order invoice history. date format for display changed. Now based on language settings

Extensions:
- Data Encryption Manager Extension (Beta)
- Bank transfer extension is added
- banner-manager duplication on creating bugfix
- Fedex default extension bugfixes (production bugfix + error reporting). Also help note added. config.xml now contain phpmodules entity with soap as required php-lib for
- Corrected Default settings of payment order statuses.
- 2Checkout bug fixes and improvements.Update text and encryption manual
- default_royal_mail rates changed.


Release Notes: Version 1.1.3

New Features and improvements summary:
- Minimum and Maximum limits for order totals.
- Maximum products quantity limit
- Regular and Guest Checkout UI improvement
- Relationship of shipping methods to payment methods and auto-selection settings.
- Improved tax rate flexibility
- Many new features in extension developer tools
https://github.com/abantecart/developer_tools_extension

Bug fixes and improvements
Core:
- Extension manager and package manager improvements
Fix for validation of new extension, type collision bug fix, fix for dependencies validation and children extensions auto-disable if parent is disabled
- Fix for backup load of targz class
- User permissions bug fix
- Session data error fix in extensions
- Session cookie bug fix related to mounted drive
- Layout manager import xml improvements and bug fixes
- JASON class bug fix
- Currency minor bug fix
- Fix. Removing layouts correctly if deleting products, categories or manufacturers using import/export
- New functions for dates formatting
- Total extensions edit page bug fixes.
- Improvement to totals calculation sequence. Added calculation order setting.
- Cart class fixes and performance improvement.
- Clearing cache after package installation added
- Added hooks to various places in the controllers and templates.
- API controller minor bug fix
- Multi-value settings support added to extension settings.
- Updates related to PHPdoc compliance


Admin:
- Admin menu control minor fix.
- Fix for language missing translations process
- Update to banner manager. Add expiration and future date highlight
- Bug fix related to list of enabled templates
- Resource Library bug fix
- Date formatted on product edit page.
- Install upgrade history minor changes
- Cookie for currency is now disabled for admin
- Fix for package installer in case of XAMPP
- Uploading extension bug fix

Storefront:
- Update Manufacture block to show manufacture icon on product details page
- Added meta keywords to main page managed in details settings
- Fix. Email set to customer with account approval
- Storefront menu control minor fix.
- Improved pagination for search result

Core Extensions
- Update to 2checkout(2CO) payment and default_twocheckout is discontinued.
One more reason to use AbanteCart, you can save on 2checkout fees if use promo code ABANTECART2CO
- fedex error logging improved


Release Notes: Version 1.1.2

New Features and improvements summary:
- Language Auto Translate. Ability to translate or copy language text definitions or data descriptions in automatic mode based on various settings.
- Add new HTML form fields and other elements for extension development.
- Improved Import/Export
- Improved Resource Library

Bugfixes and improvements
Core:
- install/upgrade history download file by expired session bugfix
- language manager related bugfixes
- php.ini memory_limit set to 64M.
- method getAttributes of class AAttribute renamed to getAttributesByType
- session cookie now have parameters (path, secure, http_only)
- fixed issue with resource_library, getLastId for resource_map returned 0.
- misconfigured domain bugfix.
- alanguage getActiveLanguage method bugfix
- alanguage autoloadDefinitions bugfix. Extension manager bugfix related on broken config of any extension. Ahtml minor changes.
- alanguage bugfix.
- listing_manager split on Alisting and Alisting_manager
- Added field types 'Countries' and 'Zones';
- Fix issue with single non-english language
- Restructure language class and introduce translation wrapper to languages
- added 'form/date.tpl' for admin and storefront and jquery/ui-datepicker plugin for storefront
- implemented DateHtmlElement, added form/date.tpl to admin and storefront templates
- 'field_values' table structure and class AForm that works with it are changed. Added new field types into Html class.
	added form_no_group.tpl for propper html of non-grouped fields in form
- Fixed resource_library issue, resource_map table will be inserted after resource_library.
- fixed issue with predefined value for input, textarea, etc.
- added attribute aform_field_type="captcha" for captcha html element.
- Set import auto detect insert or update based on unique key data present in import


Release Notes: Version 1.1.1

New Features and improvements summary:
- Extensions file upload and install from public URL
- AbanteCart initial installation improvement. Added progress bar.

Bugfixes
Core:
- AAttribute getAttributes renamed to getAttributesbyType because AAttribute_Manages has method getAttributes too and try to override it with runtime notice.
- targz library bugfix
- package manager & AConnect bugfix. Now when gets file we use socket instead curl for getting http-headers with filename(content-disposition).
- package installer bugfix. Upgrade extension related. APromotion changes. Added 2 types of bonuses (free products and discount on products)
- Fixed AResourceManager::setType method - do nothing if $type is empty.
- Fixed AWeight::getUnit method
Control Panel:
- package installer minor ui changes and better permissions handling
- Aform input file minor bugfix
- extension manager version check bugfix
- package manager changed. Added agreement to install version incompatible version. Package uploading added in extension install page. Common function versionCompare added into core/helper/utils.php Updater and package installer use it now.
- quick edit saving fix
- language load form submit made with ajax
- ALanguage cloning definitions bugfix
- resource upload clear error text added for permissions problem
Storefront:
- banner images size bug fix
- Global attributes UI bug fix

Release Notes: Version 1.1.0

New Features and improvements summary:
- Stock tracking and product and options auto-disabling with no stock
- Stock quantity details in API
- Admin quick look up for easy and fast data access
- Quick edit dialog for settings and language definitions
- Nested listing added to admin categories, menu and global attributes.
- Improved settings and store management.
- Improved data Import/Export
- Coupon usage is now reported per each coupon.
- Added warning if leaving page with unsaved edited form details.


Core:
- Language issue fix for api requests
- Tax rate description now not required field. If it not set tax_class title will be taken. Tax class cache issue fix. Minor mailing bugfix.
- Added orders total's type.
- Increased recommended memory_limit to 128Mb
- Alog class improvements.
- Added block wrapper processing and management. Old block wrapper form field renamed to "block framed"
- Fix for "no_image" issue.
- Cache file with store's settings renamed to "settings.store". Settings cache cleaning is improved.
- Ajax responses updated to validate data in the requests. 406 http-status code is returned with json formatted string instead plain text.
- Subcategories custom layout bugfix
- Cart Class performance improvement. Reduce load on repetitive requests
- Organized config settings into config manager. Cleaning init.php and move config load to AConfig class constructor
- Cleaned up index.php and init.php file to perform clear tasks

Control Panel:
- Fix for stock tracking functionality for options.
- Making product model as not required data
- Added settings to display stock and model
- Improvements and bug fixes to parent/child attributes.
- Fixed form for creation new user for admin panel.
- JavaScript number formatting disabled due to instability in case of other languages formatting
- IE related JavaScript bugfixes
- IE memory leak fix with jqgrid.
- Menu language loading set to silent mode
- Coupon form now contain info about total coupon usage. Extension: paypal pro & paypal pro uk bug fix.
- Quicksave added for order details fields
- Extension edit form changes. Required mark added for form fields.
- Mail send added for customer approval ( save and quick save )
- Product option value's resource processing bug fix
- Permission related improvements.
- Multistore cache bugfix
- Settings and store management changes
- Settings grid now have quick edit dialog
- Form multivalue field ui bug fix
- Submit form preventing added for "quicksave" by JavaScript
- Add permission wrapper methods canAccess and canModify. Add JSON error handler to generic error class
- design/blocks tab link bug fix
- New parameter "default numbers of rows for all grids" added in settings.
- Banner manager now installed by default
- Location zones edit bug fix.
- Aconnect class changed. Now works in php safe mode. Package installer minor fixes.
- Jquery upgraded to 1.7.2 - jquery-ui upgraded to 1.8.22
- Custom css for jqgrid and jquery ui elements now placed in stylesheet folder.
- Quick suggestions added for global search input field.
- Message manager grid batch deleting bugfix
- Extension list changes. Clear message for broken extension was added.
- Blocks grid changed. Filtering and stats added.
- Error log file now shows only last 500 Kb in system->logs->error log menu.
- Small fix for getOrderStatuses
- Fixed spanish translations of order statuses on system->localization->order statuses page.
- Fixed texts on buttons in message popup window.
- Location zones list rebuilded by jqgrid. Layout form and product options list ui-bugfix.
- Installation package warning message extended.
- Added extensions filter by store in the grid listing
- Adding Grid Tree listing for parent / child data
- Update to settings and store section
- Stock Quantity request for storefront API
- Bug fix and clean up in Import/export
- Layout saving improvement to preserve location of blocks. Hide section if missing in layout
- Fixed javaScript error "jq_model[index] is undefined". Var align will be set to 'middle' if jq_model[index] is undefined.
- Add warning on page leaving if form is edited.
- product-to-category saving bugfix
- reports->sale sorting bugfix.

Storefront:
- Fix storefront (admin) to be centered if fixed width storefront setting is used.
- Added response controller for adding products without any options to cart directly from listing by ajax (if ajax cart enabled in the settings) - featured product list bugfix. Now selects only enabled products.
- Pagination bugfix
- product page additional image full size bugfix
- Hook var hk_html_attribute added to page.tpl. This is to add attributes to HTML tag for pages
- Various ui bugfixes
- Improve language and currency selector

Extensions:
- Paypal standard. Checks for malicious orders added. Fix for permission error in the listing grid


Release Notes: Version 1.0.4

Core:
- all USA states added into install.sql as location's zones by default
- language and currency switch bugfix related to seo-url

Control Panel:
- install-upgrade-history now gets non-direct link for archives.
- localisation zones edit page changed. Now multiple zones can be at once.
- Resource Library cache changes.
- Resource Library UI changes. Quick link "select" added to edit and info boxes
- Global search result pagination bugfix.
- language definition management changes. Database: ac_language_definitions now have unique index.
- package installer changes. Now directories and files list will show in ftp warning during installation process.
- aform resource field tpl ui fix
- price and other float numbers formatting bugfix
- system() call bugfix.
- Fixed required fields on extensions settings page have been ignored
- Fixed global search input in IE
- Minor translation bug fixes

Storefront:
- Quantity decreasing bugfix for non-subtracted products without options after order confirm.
- Listing block with auto listing limitation bugfix
- Seo url special chars bugfix
- Subcategory seo url
- Fix for storefront menu external links.
- Minor UI bug fixes

Extensions:
- Error message added for wrong state or country code in Fedex extensions settings
- UPS translation bugfix

Release Notes: Version 1.0.3

Core:
    Update languages and more clear message on missing translations
    Language definitions bugfixes

Control Panel:

    Update Shipping methods to allow product level settings
    Allow Free Product Shipping, Individual Product shipping and Fixed Product Price shipping
    Fixed import/export issues
    Fixed marketplace iframe in IE browser
    Added warning at installation stage for non-writable Backup directory, added error messages for import/export.
    Added warning at installation stage for non-writable Backup directory
    Jquery flot axis labels js-file added
    Jqgrid upgrade up to 4.3.3
    Custom layout for categories, products, brands bugfix.
    Response controller for help button for extensions added.
    Added hook for order_attributes extension, fixed issue in checboxgroup.tpl (added attribute for input tag), fixed some other issues
    Javascript number formatting fix
    Extension list sorting bugfix
    Subtract stock option bugfix
    Grid's filter fields now align by column alignment
    UI minor fixes

Storefront :
    Fixes in order history and guest checkout
    Summary info added into order confirm page in main block
    Product page stock status changes
    Zip/postal code now required field in account form
    Fixed issue with ignoring Privacy Policy agreement checkbox on creation account
    UI minor fixes

Core Extensions:
    Banner extension added to distributive
    Cheque / Money Order. Order status bugfix.
    Extensions: Bank transfer extension added
    Updating USPS and Flat shipping, Fedex, UPS, Weight Based shipping. Update shipping methods to work with product level shipping settings.
    UI minor fixes

Release Notes:  Version 1.0.2

Storefront: incorrect price display in custom block with products bugfix
Storefront: Fixes in order history and guest checkout

Control Panel + Storefront: added hook vars to customer_group edit form and to account creation
Control Panel: Fixed import/export issues
Control Panel: extension store. Frame border now invisible in IE8.
Control Panel: ui minor fixes
Control Panel: Added warning at installation stage for non-writable Backup directory in import/export, added error messages for import/export.

Extensions: Bank transfer extension added
Extensions: Cheque / Money Order. Order status bugfix.

Release Notes:  Version 1.0.1

Major In this version:
- Control Panel: Extension store update to use real marketplace in connection with Algozone partnership.
- AData class to manage quick and bulk data extract and update Formats: multidimensional Array, nested XML, CSV
- Control Panel: Data Import/Export feature
- Language improvement. Clone of language dynamic date between languages
- Improvement in Attributes and options.
- Various improvements and fixes. See below:

Fixes and improvements:
- Fix for Relation of Extension status to application usage status and extension configurations to support multi store
- Fix for options and option values to handle languages properly. Partial redesign in attributes and product options.
Add resource library to product options.
- Marketplace update to use real marketplace in connection with Algozone.
- Backup and restore improvement
- fix for issues with SEO URLs and incorrect layout loaded.
- fix for resource library bugs
- Fix cache problem and improved performance
- Fixed checkbox bug with checked attribute, changed form elements on backup/restore page
- Fix for SEO and layout issue. Update router to get new RT after SEO rewrite
- Menu language fix and icon fix
- Location zones response in json format. Select boxes are in abantecart styles.
- Fixed zones and countries selectboxes at settings/local and settings/store
- added template hook (order_details) in order_details page
- Control Panel: warning about install directory existing added
- Control panel: message box in header now extendable. Depends on message length now.
- Control Panel: redirect bugfix. Now redirect works correctly after failed login attempt.
- Core: placeholders of layout header_bottom and footer_top now extendable and can contain few subblocks inside.
- Control Panel: ui language saving bugfix
- Control Panel: response controller of content-pages small bugfix
- Core: shipping tax bugfix. Atax now use cache.
- Control Panel: Backups now will save into admin/system/backup directory
- Storefront: Fixed few issues on guest checkout pages
- Storefront: fix for footer issue
- Various styling and translation related bugs.

Release Notes: 1.0.0 RC1

Major In this version:
- Licensing change from GPL to Open Software License (OSL 3.0). Visit: http://www.opensource.org/licenses/OSL-3.0
- Storefront API Beta version. API to offer JSON RESTFul connectivity to storefront to empower AbanteCart with mobil application envelopment and customers mobile access
- Updated example data set
- Final step to stable release
- Various improvements and fixes. See below:

Fixes and improvements:
- Fixes to listing blocks and SEO URL Bugs
- Added info about Yahoo currency server
- Fixed missing texts in Multistore settings
- Redirect and action URLs for submitting currency/language forms were empty for template extensions
- Fixes to UI in resource library.
- fixed notify_url for paypal callback
- Storefront: listing block now have one block tpl per placeholder
- Listing block view bugfix. Special block added into layout.
- Control Panel : message manager bunch deleting bugfix. Report->sales result bugfix.
- Core: mail class now writes errors into log and send message about failed mail.
- Control Panel: coupon usage bugfixes. (limits os usage of coupon worked incorrectly)
- Initialized $error as array() to avoid foreach() warning
- Core : Aconnect fix. Curl use with option CURLOPT_SSL_VERIFYPEER=>false now.
- Control Panel: extension store now show message if connection failed
- Core : compression for install process now disabled
- Fix bug with layout if method is used in the RT
- Control Panel: Resource Library sort order saving bug fix. Design block form ui bugfixes
- Set product shipping default to true
- Improve code for formatting customer address and remove redundancy in the code
- Fix for thumbnails files saved to one directory. Thumbnails now save in the same directory structure as resource library
- Control Panel: sale/orders orders saving bugfix. ui-bugfixes
- Update to tax zone.
- Add separate session for Storefront and Control panel to fix login conflict issue and improve security.
- Control Panel: Category listing grid UI update. Products and subcategories count added.
- Update to mail class and customer registration validation
- Control panel : compression bugfix. "Echo" replaced by setOutput in response controllers
- Control Panel : downloads ui bugfixes. Resource library now autoapply new uploaded file in 'url' mode. Download related bugfixes.
- Control Panel : ckeditor adding resource from library window size bugfix
- Control Panel + Storefront : Global Attributes fixes. Products multivalue options process correctly now.
- Control Panel : jqgrid localization added
- Control Panel: multivalue listing of related products now does not contain parent product. (Prevents product's relate recursion)
- Control Panel: product option weight class selectbox option bugfix. Now you can set default weight class or % into option values data set
- Core: In index.php now set default encoding UFT-8 for multibyte library (mb_  functions)
- Storefront: wrong search results for product with non-latin characters inside name.
- Control Panel: bug fix of incorrect saving of new product option status.
- Core: Update to router and fix of bug with incorrect controllers
- Core : gz-compression level from settings usage bug fix.
- Core : Created new class AFilter for searching and filtering result set. Improved some jqgrid filtering in admin
- Core: html-class. HtmlButton now process 'href' parameter. It needed for simple link-buttons.
- Storefront: discount work bug fix
- Storefront: wrong weight calculation bugfix
- Storefront: form elements moved from tpl to controller using global HTML class
- Extensions: form elements moved from tpl to controller using global HTML class  (alertpay, moneybookers, liqpay, aim)
- Various styling and translation related bugs.


Release Notes: BETA Version 0.9.2

Major In this version:
- Global Attributes. To provide more scalable solution to set global attributes to be used in various parts of application.
  Now Only Product Options are supporting global attributes
- Custom Blocks for Data listing. Provided ability to build custom and automatic listings of data on any page and any block location.
  Supporting, product, categories, brands and media items listing.
- Improved selection of products/categories/brands for multivalue type data fields.
- Improved Control panel grid load speed and overall load for pages.
- Various improvements and fixes. See below:


Core:
- html-class: attribute label_text for checkbox added
- calculation for tax zone for customer fixed ( now sets customer's zone as default instead zone from store settings)
- html-class. Multivalue_hidden and multivalue_list form elements wad added.
- hook calls changed. Method name of baseObject as second argument was added.
- ACache methods set, get, delete changed. Calls of it too. 2 args was added - language_id & store_id
- global attributes added
- global attributes for product options
- custom block "listing" support added. Now supports:
  - auto: "popular products", "media" (RL)
  - manual: "custom products", "custom categories", "custom brands"
 Block controller added at storefront section with tpl-files.
- loadXML() changes in ALayout_manager class. Listing blocks load added.
- move removeQueryVar function from session class to html
- move store settings load from index to init
- add template switch using 'sf' get parameter
- add AHook class
- add browser and device detection in request class
- Fix for warning with unsetting session if it has expired
- fix store settings cache name
- extension resources conflict warning now visible only in debug log

Control Panel:
- tax class rates. Tax rate per location zone was added.
- customer grid search form bug in Control panel fixed
- different ui-bugs fixed
- tax class edit form bugfix
- localisation->locations edit form ui bugfix
- Multivalue_list with miltivalue_hidden was added to product->edit->related products.
- Updated to SEO product kewords to set default value
- Fix for broken options sample data
- Fix broken HT aform option, highlight only on change.
- Package installer bugfix (extension type "extensions" process added like just "extension")
- grid tpl bugfix
- Button "create new block" was added to layout form.
- fix: no ability to switch template when edit layout - added select box with available templates
- Admin login with same token issues fix
- global search will search in product reviews now

Storefront:
- Donation section in footer of storefront is block now
- fix: updated admin controllers to have  2 char limit in all places
- Incorrect shipping cost calculation of 'default_weight' shipping

- update store model ( fix bug with store url update )
- update install ( fix default store url )

Other:
- language files updates
